{
  self,
  daedalus,
  nix,
  nixpkgs,
  nixpkgsUnstable,
  utils,
  ...
} @ inputs:
(utils.lib.eachDefaultSystem (system: let
  deploymentName = "mio-ops";
  pkgs = nixpkgs.legacyPackages."${system}";
  nix_path = "nixpkgs=${nixpkgs}";
in {
  devShell =
    pkgs.callPackage
    ./shell.nix {
      inherit (nix.packages."${pkgs.system}") nix;
      inherit deploymentName;
      inherit nix_path;
    };
  nixopsConfigurations."${pkgs.system}".default = {
    inherit (inputs) nixpkgs;
    network = {
      description = "mio-ops nodes";
      enableRollback = true;
      storage.legacy = {databasefile = "~/.nixops/deployments.nixops";};
    };
    defaults = {};
    airgead = import hosts/airgead.nix;
    brighde = import hosts/brighde.nix;
    ceilidh = import hosts/ceilidh.nix;
    cuallaidh = import hosts/cuallaidh.nix;
    dhu = import hosts/dhu.nix;
    dionach = import hosts/dionach.nix;
    iolear-beag = import hosts/iolear-beag.nix;
    doilidh = import hosts/doilidh.nix;
    eamhair = import hosts/eamhair.nix;
    ceitidh = import hosts/ceitidh.nix;
    paidh-uachdar = import hosts/paidh-uachdar.nix;
    sanganto = import hosts/sanganto.nix;
    sercanto = import hosts/sercanto.nix;
    sithlainnir = import hosts/sithlainnir.nix;
    teintidh = import hosts/teintidh.nix;
  };
}))
// {
}
